RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1754163 - [RHEL 8.2] Common Criteria certification
Summary: [RHEL 8.2] Common Criteria certification
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: cockpit
Version: 8.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.2
Assignee: Martin Pitt
QA Contact: Jan Ščotka
Lucie Vařáková
URL:
Whiteboard:
Depends On:
Blocks: 1755139
TreeView+ depends on / blocked
 
Reported: 2019-09-21 11:24 UTC by Martin Pitt
Modified: 2023-02-12 23:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.Changes to web console login RHEL web console has been updated with the following changes: * The web console will automatically log you out of your current session after 15 minutes of inactivity. You can configure the timeout in minutes in the `/etc/cockpit/cockpit.conf` file. * Similarly to SSH, the web console can now optionally show the content of banner files on the login screen. Users need to configure the functionality in the `/etc/cockpit/cockpit.conf` file. See the `cockpit.conf(5)` manual page for more information.
Clone Of:
Environment:
Last Closed: 2020-04-28 16:51:35 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-27533 0 None None None 2023-02-12 23:18:31 UTC
Red Hat Product Errata RHBA-2020:1837 0 None None None 2020-04-28 16:51:49 UTC

Description Martin Pitt 2019-09-21 11:24:28 UTC
Description of problem: Cockpit should pass the Common Criteria certification for RHEL 8.2.

Epic: https://projects.engineering.redhat.com/browse/COCKPIT-463

Comment 2 Martin Pitt 2019-12-14 11:52:46 UTC
Status as of Cockpit 209.

DONE:
 - SELinux restricted users can log in
 - wtmp/who works
 - Supports warning banner on login page
 - Session timeout by default (configurable)

In progress:
 - pam_lastlog/show last+failed logins
 - Fix pam_faillock

Comment 3 Martin Pitt 2019-12-18 10:04:42 UTC
>  - pam_lastlog/show last+failed logins

This is tracked by bug 1784722 now.

Comment 4 Martin Pitt 2019-12-18 11:36:45 UTC
> This is tracked by bug 1784722 now.

Sorry, this is bug 1784772.

Comment 8 errata-xmlrpc 2020-04-28 16:51:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1837


Note You need to log in before you can comment on or make changes to this bug.